Bug 1418891 - NSS should export CERT_CompareAVA()
Summary: NSS should export CERT_CompareAVA()
Keywords:
Status: CLOSED DUPLICATE of bug 1422165
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: nss-nspr-maint
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 01:12 UTC by Paul Wouters
Modified: 2017-03-10 12:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-10 12:47:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1336487 None None None 2017-02-22 20:00:06 UTC

Description Paul Wouters 2017-02-03 01:12:40 UTC
NSS should export CheckCrlTimes() and CERT_CompareAVA()

This is an open issue at upstream:

https://bugzilla.mozilla.org/show_bug.cgi?id=294538

Currently, libreswan has to copy some of the nss code to work around this bug:

https://github.com/libreswan/libreswan/blob/master/lib/libswan/nss_copies.c


(technically this is a license violation too, since nss is MPL, and libreswan is GPL)

Comment 2 Paul Wouters 2017-02-03 15:54:58 UTC
SEC_CheckCrlTimes() is already fixed in rhel7, and  CERT_CompareAV() is fixed in upstream nss, so it would just need a backport to rhel7

Comment 3 Paul Wouters 2017-02-03 17:03:32 UTC
oops. a non-clean compile tricked me into thinking this was fixed in 3.28 on fedora but it was not. The header contains the entry, but the library .so does not actually export this. I've created a new upstream bug report for this:

https://bugzilla.mozilla.org/show_bug.cgi?id=1336487

Comment 7 Kai Engert (:kaie) (inactive account) 2017-03-03 12:26:57 UTC
Paul, the symbol has been exported in F26 and Rawhide in these packages (or later):

- nss-3.29.1-3.fc27
- nss-3.29.1-2.1.fc26

Comment 8 Paul Wouters 2017-03-03 17:08:50 UTC
This worked great. libreswan in rawhide updated.

Comment 9 Kai Engert (:kaie) (inactive account) 2017-03-10 12:47:43 UTC
I'm marking this bug as a duplicate of bug 1422165, which contains a patch that includes this export.

*** This bug has been marked as a duplicate of bug 1422165 ***


Note You need to log in before you can comment on or make changes to this bug.